#ifndef ASPECTBIN_H_
#define ASPECTBIN_H_

#include <gtk/gtk.h>

#define ASPECT_BIN_TYPE (aspect_bin_get_type())
#define ASPECT_BIN(obj) GTK_CHECK_CAST((obj), ASPECT_BIN_TYPE, AspectBin)
#define ASPECT_BIN_CLASS(class) \
	GTK_CHECK_CLASS_CAST((class), ASPECT_BIN_TYPE, AspectBinClass)
#define IS_ASPECT_BIN(obj) GTK_CHECK_TYPE((obj), ASPECT_BIN_TYPE)
#define IS_ASPECT_BIN_CLASS(class) \
	GTK_CHECK_CLASS_TYPE((class), ASPECT_BIN_TYPE, AspectBinClass)

typedef struct AspectBin      AspectBin;
typedef struct AspectBinClass AspectBinClass;

struct AspectBin {
	GtkContainer parent;

	GtkWidget *body, *side;
	gfloat     ratio;

	gfloat     align;
	gboolean   constrain;
	gboolean   fill;
};

struct AspectBinClass {
	GtkBinClass parent_class;
};

GType aspect_bin_get_type(void);
GtkWidget *aspect_bin_new(void);
void aspect_bin_set_body(AspectBin *, GtkWidget *, gfloat);
void aspect_bin_set_side(AspectBin *, GtkWidget *);
GtkWidget *aspect_bin_get_body(AspectBin *abin);
GtkWidget *aspect_bin_get_side(AspectBin *abin);

#endif
